require "player"
require "input"
require "gui"
require "menu"

function love.load()
	--General preparations for starting the game.
	GameState = "MainMenu"
	love.mouse.setVisible(false)
	love.graphics.setBackgroundColor(0, 0, 0)
	
	--Below are all the load scripts associated with the main menu gamestate.
	main_menu_texture_load()
	main_menu_buttons_load(5, 256, 64)
end

function love.update(dt)
	if GameState == "MainMenu" then
		main_menu_button_update(5)
	end
	input_update()
end

function love.draw()

	if gamestate == "MainMenu" then
		main_menu_texture_draw()
		main_menu_buttons_draw(5)
		gui_cursor1_draw()
	end

end

function love.mousepressed(x, y, button)
	print("Mouse button "..button.." was pressed at x: "..x..", y: "..y..".")
end

function love.mousereleased(x, y, button)
	print("Mouse button "..button.." was released at x: "..x..", y: "..y..".")
end

function love.keypressed(key, unicode)
	print(key.." was pressed.")
end

function love.keyreleased(key, unicode)
	print(key.." was released.")
end

function love.focus(f)
	--Game is not supposed to run when unfocused. If gamefocus is false the game pauses everything.
	if not f then
		print("Game window was unfocused.")
		gamefocus = false
	else
		print("Game window was focused.")
		gamefocus = true
	end
end

function love.quit()
	print("Game has been quit.")
end